%define _kde4_alternate_placement 1

%def_disable kmilo

%add_findpackage_path %_kde4_bindir

%define rname kdeutils
Name: kde4utils
%define major 4
%define minor 4
%define bugfix 5
Version: %major.%minor.%bugfix
Release: alt0.M51.1

Group: Graphical desktop/KDE
Summary: K Desktop Environment
License: GPL
Url: http://www.kde.org
Packager: Sergey V Turchin <zerg at altlinux dot org>

Requires: %name-irkick = %version-%release
Requires: %name-okteta = %version-%release
Requires: %name-kcalc = %version-%release
Requires: %name-kcharselect = %version-%release
#Requires: %name-kdessh = %version-%release
Requires: %name-kdf = %version-%release
Requires: %name-kfloppy = %version-%release
Requires: %name-kgpg = %version-%release
%if_enabled kmilo
Requires: %name-laptop = %version-%release
%endif
Requires: %name-ktimer = %version-%release
Requires: %name-kwallet = %version-%release
Requires: %name-superkaramba = %version-%release
Requires: %name-ark = %version-%release
Requires: %name-sweeper = %version-%release
Requires: %name-print = %version-%release

Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdeutils-%version.tar
Patch1: kdeutils-4.1.3-alt-find-cupshelpers.patch
Patch2: kdeutils-4.2.2-alt-autostart.patch
Patch3: kdeutils-4.2.2-alt-ark-zip-filenames.patch
Patch4: kdeutils-4.3.0-alt-ark-kerfuffle-open.patch
Patch5: kdeutils-4.4.5-alt-ark-rar-header-encrypted.patch
# upstream


BuildRequires(pre): kde4base-workspace-devel kde4pimlibs-devel
BuildRequires: gcc-c++ libnet-snmp-devel libgmp-devel bzlib-devel libldap-devel
BuildRequires: libqimageblitz-devel python-devel libzip-devel libarchive-devel
BuildRequires: python-module-cups python-module-cupshelpers python-module-kde4
BuildRequires: libenca-devel liblirc-devel libqca2-devel liblzma-devel
#BuildRequires:  hal-cups-utils
%ifarch %ix86
#BuildRequires: libtpctl-devel
%endif
BuildRequires: kde4base-workspace-devel >= %version kde4pimlibs-devel >= %version
BuildRequires: kde4base-devel

%description
KDE utilites
* kcalc: scientific calculator
* kcharselect: select special characters from any fonts and put them into
               the clipboard
* charselectapplet: dito, but as a Kicker applet
* kdessh: front end to ssh
* kdf: like 'df', a graphical free disk space viewer
* kfloppy: format a floppy disks with this app
* kgpg: graphical GPG frontend
* khexedit: binary file editor
%if_enabled kmilo
* klaptopdaemon: battery and power management, including KControl plugins
%endif
* ktimer: execute programs after some time
* sweeper
* kwalletmanager

%package common
Summary: %name core files
Group: System/Configuration/Other
Requires: kde-common >= %major.%minor
%description common
Common files for %name.

%package irkick
Summary: KDE LIRC server
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: lirc
%description irkick
This package contains KDE LIRC server and
configure modules of your remote controls
for use with applications.

%package okteta
Summary: Byte level data editor
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%ifdef _kde4_alternate_placement
%else
Obsoletes: kdeutils-hexeditor < 4
%endif
%description okteta
Viewing and editing of data on the byte level

%package -n liboktetacore4
Summary: KDE 4 library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n liboktetacore4
KDE 4 library

%package -n liboktetagui4
Summary: KDE 4 library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n liboktetagui4
KDE 4 library

%package kcalc
Summary: KDE scientific calculator
Group: Office
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description kcalc
KDE scientific calculator

%package kcharselect
Summary: KDE special characters selector
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description kcharselect
Select special characters from any fonts and put them into the clipboard

%package kdessh
Summary: KDE front end to ssh
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description kdessh
KDE front end to ssh

%package kdf
Summary: %name kdf
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description kdf
%name kdf.

%package kfloppy
Summary: KDE floppy disks formater
Group: System/Configuration/Hardware
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: dosfstools
%description kfloppy
Format a floppy disks

%package kgpg
Summary: KDE graphical frontend to GPG
Group: File tools
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description kgpg
Graphical GPG frontend

%package laptop
Summary: KDE laptop utilities
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%ifarch %ix86
Requires: tpctl
%endif
%description laptop
Battery and power management, including System-Settings plugins

%package -n libkmilo4
Summary: KDE 4 library
Group: System/Libraries
Requires: libqt4-core >= %{get_version libqt4-core}
Requires: %name-common = %version-%release
%description -n libkmilo4
KDE 4 library

%package ktimer
Summary: KDE program executor
Group: Graphical desktop/KDE
Requires: %name-common = %version-%release
%description ktimer
Execute programs after some time

%package kwallet
Summary: %name kwallet
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description kwallet
%name kwallet.

%package superkaramba
Summary: %name superkaramba
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description superkaramba
%name superkaramba.

%package ark
Summary: KDE archivers frontend
Group: Archiving/Compression
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: unrar p7zip unzip
%description ark
Frontend to many archivers

%package -n libkerfuffle4
Summary: KDE 4 library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n libkerfuffle4
KDE 4 library

%package -n libsuperkaramba4
Summary: KDE 4 library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n libsuperkaramba4
KDE 4 library

%package sweeper
Summary: KDE system cleaner
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description sweeper
System Cleaner for KDE

%package print
Summary: Applet to view current print jobs and configure new printers
Group: Graphical desktop/KDE
URL: http://utils.kde.org/projects/printer-applet
Requires: %name-common = %version-%release
Requires: python-module-kde4 >= %version
#Requires: python-cups
#Requires: python-qt4
#Requires: python-dbus
Requires: hal-cups-utils

%description print
Printer Applet is a system tray utility that shows current print jobs,
shows printer warnings and errors and shows when printers that have
been plugged in for the first time are being auto-configured by
hal-cups-utils.

%package -n liboktetakastencontrollers4
Summary: KDE 4 library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n liboktetakastencontrollers4
KDE 4 library

%package -n liboktetakastencore4
Summary: KDE 4 library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n liboktetakastencore4
KDE 4 library

%package -n liboktetakastengui4
Summary: KDE 4 library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n liboktetakastengui4
KDE 4 library

%package -n libkastencontrollers4
Summary: KDE 4 library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n libkastencontrollers4
KDE 4 library

%package -n libkastencore4
Summary: KDE 4 library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n libkastencore4
KDE 4 library

%package -n libkastengui4
Summary: KDE 4 library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n libkastengui4
KDE 4 library


%prep
%setup -q -n %rname-%version
#%patch1 -p1
%patch2 -p1
#%patch3 -p1
%patch4 -p1
%patch5 -p1


%build
%K4cmake \
    -DLIBZIP_INCLUDE_DIR=%_includedir/libzip \
    -DLIBLZMA_HAS_AUTO_DECODER=1 \
    -DLIBLZMA_HAS_EASY_ENCODER=1 \
    -DLIBLZMA_HAS_LZMA_PRESET=1


%K4make


%install
%K4install




%files
%files common
%doc README
%dir %_K4apps/profiles/

%files irkick
%_kde4_bindir/irkick
%_K4lib/kcm_lirc.so
%_K4libdir/libkdeinit4_irkick.so
%_K4libdir/libkdelirc_shared.so.*
%_K4iconsdir/oxygen/*/devices/infrared-remote.*
%_K4iconsdir/oxygen/*/actions/irkickflash.*
%_K4iconsdir/oxygen/*/actions/irkickoff.*
%_kde4_xdg_apps/irkick.desktop
%_K4apps/irkick
%_K4apps/profiles/amarok.profile.xml
%_K4apps/profiles/dragonplayer.profile.xml
%_K4apps/profiles/klauncher.profile.xml
%_K4apps/profiles/kmix.profile.xml
%_K4apps/profiles/konqueror.profile.xml
%_K4apps/profiles/okular.profile.xml
%_K4apps/profiles/profile.dtd
%_K4apps/profiles/shutdown.profile.xml
%_K4apps/profiles/suspend.profile.xml
%_K4apps/profiles/vlc.profile.xml
#%_K4apps/profiles/kscd.profile.xml
#%_K4apps/remotes/
%_K4start/irkick.desktop
%_K4doc/en/irkick
%_K4doc/en/kcmlirc
%_kde4_iconsdir/hicolor/*/apps/irkick.*
%_K4srv/ark_dndextract.desktop
%_K4srv/kcm_lirc.desktop

%files okteta
%_kde4_bindir/okteta
%_K4lib/libkbytearrayedit.so
%_K4lib/oktetapart.so
%_kde4_xdg_apps/okteta.desktop
%_K4apps/okteta/
%_K4apps/oktetapart/
%_kde4_iconsdir/hicolor/*/apps/okteta.*
%_K4srv/kbytearrayedit.desktop
%_K4srv/oktetapart.desktop
%_K4doc/en/okteta

%files -n liboktetacore4
%_K4libdir/liboktetacore.so.*
%files -n liboktetagui4
%_K4libdir/liboktetagui.so.*
%files -n liboktetakastencontrollers4
%_K4libdir/liboktetakastencontrollers.so.*
%files -n liboktetakastencore4
%_K4libdir/liboktetakastencore.so.*
%files -n liboktetakastengui4
%_K4libdir/liboktetakastengui.so.*

%files kcalc
%_kde4_bindir/kcalc
%_K4libdir/libkdeinit4_kcalc.so
%_K4apps/kcalc/
%_K4apps/kconf_update/kcalcrc.upd
%_kde4_xdg_apps/kcalc.desktop
%_K4cfg/kcalc.kcfg
#%_kde4_iconsdir/hicolor/*/apps/kcalc.*
%_K4doc/*/kcalc

%files kcharselect
%_kde4_bindir/kcharselect
%_K4apps/kcharselect/
%_K4apps/kconf_update/kcharselect.upd
%_kde4_xdg_apps/KCharSelect.desktop
#%_kde4_iconsdir/hicolor/*/apps/kcharselect.*
%_K4doc/*/kcharselect

#%files kdessh
#%_kde4_bindir/kdessh

%files kdf
%_kde4_bindir/kdf
%_kde4_bindir/kwikdisk
%_K4lib/kcm_kdf.so
%_K4apps/kdf/
%_kde4_xdg_apps/kdf.desktop
%_kde4_xdg_apps/kwikdisk.desktop
%_K4srv/kcmdf.desktop
%_K4iconsdir/oxygen/*/apps/kcmdf.*
%_kde4_iconsdir/hicolor/*/apps/kdf.*
%_kde4_iconsdir/hicolor/*/apps/kwikdisk.*
%_K4doc/*/kdf
%_K4doc/*/kcontrol/blockdevices


%files kfloppy
%_kde4_bindir/kfloppy
%_kde4_xdg_apps/KFloppy.desktop
#%_K4srv/ServiceMenus/floppy_format.desktop
%_kde4_iconsdir/hicolor/*/apps/kfloppy.*
%_K4doc/*/kfloppy

%files kgpg
%_kde4_bindir/kgpg
%_kde4_xdg_apps/kgpg.desktop
%_K4apps/kgpg/
%_K4srv/ServiceMenus/encryptfile.desktop
%_K4srv/ServiceMenus/encryptfolder.desktop
%_K4srv/ServiceMenus/viewdecrypted.desktop
%_K4start/kgpg.desktop
%_K4cfg/kgpg.kcfg
%_K4dbus_interfaces/org.kde.kgpg.Key.xml
%_kde4_iconsdir/hicolor/*/apps/kgpg.*
%_K4doc/*/kgpg

%if_enabled kmilo
%files laptop
%_K4lib/kcm_thinkpad.so
%_K4lib/kded_kmilod.so
%_K4lib/kmilo_asus.so
%_K4lib/kmilo_kvaio.so
%_K4lib/kmilo_thinkpad.so
%_K4lib/kcm_kvaio.so
%_K4lib/kmilo_delli8k.so
#%_kde4_iconsdir/hicolor/*/apps/kmilo.*
%_K4srv/kmilo/
%_K4srv/kvaio.desktop
%_K4srv/kded/kmilod.desktop
%_K4srv/thinkpad.desktop
%_K4srvtyp/kmilo/
%_K4dbus_interfaces/org.kde.kmilod.xml

%files -n libkmilo4
%_K4libdir/libkmilo.so.*
%endif

%files ktimer
%_kde4_bindir/ktimer
%_kde4_xdg_apps/ktimer.desktop
%_kde4_iconsdir/hicolor/*/apps/ktimer.*
%_K4doc/*/ktimer

%files kwallet
%_kde4_bindir/kwalletmanager
%_K4lib/kcm_kwallet.so
%_K4apps/kwalletmanager/
%_kde4_xdg_apps/kwalletmanager-kwalletd.desktop
%_kde4_xdg_apps/kwalletmanager.desktop
%_K4srv/kwalletconfig.desktop
%_K4srv/kwalletmanager_show.desktop
%_kde4_iconsdir/hicolor/*/apps/kwalletmanager*.*
%_K4doc/*/kwallet

%files superkaramba
%_kde4_bindir/superkaramba
%_K4lib/plasma_package_superkaramba.so
%_K4lib/plasma_scriptengine_superkaramba.so
%_K4apps/superkaramba/
%_K4srv/plasma-package-superkaramba.desktop
%_K4srv/plasma-scriptengine-superkaramba.desktop
%_K4conf/superkaramba.knsrc
%_kde4_xdg_apps/superkaramba.desktop
%_K4dbus_interfaces/org.kde.superkaramba.xml
%_kde4_iconsdir/hicolor/*/apps/superkaramba.*
%_K4doc/*/superkaramba

%files ark
%_kde4_bindir/ark/
%_K4lib/arkpart.so
%_K4lib/kerfuffle_*
%_K4lib/libextracthere.so
%_K4apps/ark/
%_K4cfg/ark.kcfg
%_K4srv/ark_part.desktop
%_K4srv/kerfuffle_*
%_K4srv/ServiceMenus/ark_addtoservicemenu.desktop
%_K4srv/ServiceMenus/ark_servicemenu.desktop
%_K4srvtyp/kerfufflePlugin.desktop
%_kde4_xdg_apps/ark.desktop
#%_kde4_iconsdir/hicolor/*/apps/ark.*
%_K4doc/*/ark
%_man1dir/ark.*

%files -n libkerfuffle4
%_K4libdir/libkerfuffle.so.*

%files -n libsuperkaramba4
%_K4libdir/libsuperkaramba.so.*

%files sweeper
%_kde4_bindir/sweeper
%_K4apps/sweeper/
%_kde4_xdg_apps/sweeper.desktop
#%_kde4_iconsdir/hicolor/*/apps/sweeper.*
%_K4dbus_interfaces/org.kde.sweeper.xml

%files print
%_kde4_bindir/printer-applet
%_K4apps/printer-applet/
%_K4start/printer-applet.desktop

%files -n libkastencontrollers4
%_K4libdir/libkastencontrollers.so.*
%files -n libkastencore4
%_K4libdir/libkastencore.so.*
%files -n libkastengui4
%_K4libdir/libkastengui.so.*

%changelog
* Thu Jul 08 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.5-alt0.M51.1
- built for M51

* Mon Jul 05 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.5-alt1
- new version

* Thu Jun 03 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.4-alt0.M51.1
- built for M51

* Wed Jun 02 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.4-alt1
- new version

* Thu May 13 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.3-alt0.M51.1
- built for M51

* Wed May 12 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.3-alt1
- new version

* Wed Apr 21 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.2-alt0.M51.1
- built for M51

* Wed Mar 31 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.2-alt1
- new version

* Tue Mar 02 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.1-alt1
- new version

* Fri Feb 12 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.0-alt1
- new version

* Thu Jan 28 2010 Sergey V Turchin <zerg@altlinux.org> 4.3.95-alt1
- new version

* Mon Jan 25 2010 Sergey V Turchin <zerg@altlinux.org> 4.3.90-alt1
- new version

* Tue Dec 15 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.4-alt0.M51.1
- built for M51

* Tue Dec 03 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.4-alt1
- new version

* Wed Dec 02 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 4.3.3-alt1.1
- Rebuilt with python 2.6

* Mon Nov 09 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.3-alt0.M51.1
- built for M51

* Thu Nov 05 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.3-alt1
- new version

* Mon Oct 12 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.2-alt1
- new version

* Wed Sep 30 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.1-alt3
- fix open rar archives with unencrypted headers

* Thu Sep 24 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.1-alt2
- built with LZMA/XZ support

* Tue Sep 01 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.1-alt1
- new version

* Fri Aug 21 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.0-alt2
- fix open rar archives with encripted headers

* Wed Aug 05 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.0-alt1
- 4.3.0

* Thu Jul 23 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.98-alt1
- 4.2.98

* Fri Jul 17 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.96-alt1
- 4.2.96

* Mon Jun 22 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt0.M50.1
- built for M50

* Tue Jun 09 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt1
- new version

* Tue May 05 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.3-alt1
- new version

* Wed Apr 22 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.2-alt3
- add ark zip filenames encoding autodetection

* Fri Apr 17 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.2-alt2
- add upstream ark fixes

* Mon Apr 06 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.2-alt1
- new version

* Thu Mar 05 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.1-alt1
- new version

* Thu Jan 29 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.0-alt1
- new version

* Tue Jan 20 2009 Sergey V Turchin <zerg at altlinux dot org> 4.1.96-alt1
- new version

* Fri Nov 21 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt2
- build printer-applet

* Fri Nov 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt1
- new version

* Wed Oct 08 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.2-alt1
- new version

* Fri Sep 05 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.1-alt1
- new version

* Sat Aug 02 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.0-alt1
- new version

* Tue Jun 03 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.80-alt1
- 4.1 beta1

* Wed May 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.72-alt1
- new version

* Wed Apr 02 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.3-alt1
- new version

* Mon Mar 24 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.2-alt1
- initial specfile
